[jira] [Commented] (OPENJPA-2707) OpenJPA Trunk Build Failure: org/apache/karaf/tooling/features/GenerateDescriptorMojo : Unsupported major.minor version 52.0

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[jira] [Commented] (OPENJPA-2707) OpenJPA Trunk Build Failure: org/apache/karaf/tooling/features/GenerateDescriptorMojo : Unsupported major.minor version 52.0

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/OPENJPA-2707?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16101642#comment-16101642 ]

ASF subversion and git services commented on OPENJPA-2707:
----------------------------------------------------------

Commit 1803043 from [~struberg] in branch 'openjpa/trunk'
[ https://svn.apache.org/r1803043 ]

OPENJPA-2707 set Java version to 1.8

> OpenJPA Trunk Build Failure: org/apache/karaf/tooling/features/GenerateDescriptorMojo : Unsupported major.minor version 52.0
> ----------------------------------------------------------------------------------------------------------------------------
>
>                 Key: OPENJPA-2707
>                 URL: https://issues.apache.org/jira/browse/OPENJPA-2707
>             Project: OpenJPA
>          Issue Type: Bug
>          Components: build / infrastructure
>    Affects Versions: 3.0.0
>            Reporter: Jody Grassel
>
> Observing the following failure during the Apache OpenJPA build cleanup effort:
> INFO] ---* karaf-maven-plugin:4.1.1*:features-generate-descriptor (compile) @ openjpa-features ---
> Jul 20, 2017 10:01:58 PM org.sonatype.guice.bean.reflect.Logs$JULSink warn
> WARNING: Error injecting: org.apache.karaf.tooling.features.GenerateDescriptorMojo
> WARNING: Error injecting: org.apache.karaf.tooling.features.GenerateDescriptorMojo
> java.lang.TypeNotPresentException: Type org.apache.karaf.tooling.features.GenerateDescriptorMojo not present
> at org.sonatype.guice.bean.reflect.URLClassSpace.loadClass(URLClassSpace.java:109)
> at org.sonatype.guice.bean.reflect.NamedClass.load(NamedClass.java:45)
> at org.sonatype.guice.bean.reflect.AbstractDeferredClass.get(AbstractDeferredClass.java:45)
> at com.google.inject.internal.ProviderInternalFactory.provision(ProviderInternalFactory.java:84)
> at com.google.inject.internal.InternalFactoryToInitializableAdapter.provision(InternalFactoryToInitializableAdapter.java:52)
> at com.google.inject.internal.ProviderInternalFactory$1.call(ProviderInternalFactory.java:70)
> at com.google.inject.internal.ProvisionListenerStackCallback$Provision.provision(ProvisionListenerStackCallback.java:100)
> at org.sonatype.guice.plexus.lifecycles.PlexusLifecycleManager.onProvision(PlexusLifecycleManager.java:138)
> at com.google.inject.internal.ProvisionListenerStackCallback$Provision.provision(ProvisionListenerStackCallback.java:108)
> at com.google.inject.internal.ProvisionListenerStackCallback.provision(ProvisionListenerStackCallback.java:55)
> at com.google.inject.internal.ProviderInternalFactory.circularGet(ProviderInternalFactory.java:68)
> at com.google.inject.internal.InternalFactoryToInitializableAdapter.get(InternalFactoryToInitializableAdapter.java:45)
> at com.google.inject.internal.InjectorImpl$3$1.call(InjectorImpl.java:965)
> at com.google.inject.internal.InjectorImpl.callInContext(InjectorImpl.java:1011)
> at com.google.inject.internal.InjectorImpl$3.get(InjectorImpl.java:961)
> at com.google.inject.Scopes$1$1.get(Scopes.java:59)
> at org.sonatype.guice.bean.locators.LazyBeanEntry.getValue(LazyBeanEntry.java:83)
> at org.sonatype.guice.plexus.locators.LazyPlexusBean.getValue(LazyPlexusBean.java:49)
> at org.codehaus.plexus.DefaultPlexusContainer.lookup(DefaultPlexusContainer.java:253)
> at org.codehaus.plexus.DefaultPlexusContainer.lookup(DefaultPlexusContainer.java:245)
> at org.apache.maven.plugin.internal.DefaultMavenPluginManager.getConfiguredMojo(DefaultMavenPluginManager.java:455)
> at org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:92)
> at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:209)
> at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153)
> at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145)
> at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:84)
> at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:59)
> at org.apache.maven.lifecycle.internal.LifecycleStarter.singleThreadedBuild(LifecycleStarter.java:183)
> at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:161)
> at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:320)
> at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
> at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
> at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
> at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
> at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
> at java.lang.reflect.Method.invoke(Method.java:606)
> at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
> at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
> at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
> at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
> Caused by: java.lang.UnsupportedClassVersionError: org/apache/karaf/tooling/features/GenerateDescriptorMojo : Unsupported major.minor version 52.0
> at java.lang.ClassLoader.defineClass1(Native Method)
> at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
> at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
> at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
> at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
> at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
> at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
> at java.security.AccessController.doPrivileged(Native Method)
> at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
> at org.codehaus.plexus.classworlds.realm.ClassRealm.loadClassFromSelf(ClassRealm.java:386)
> at org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy.loadClass(SelfFirstStrategy.java:42)
> at org.codehaus.plexus.classworlds.realm.ClassRealm.loadClass(ClassRealm.java:244)
> at org.codehaus.plexus.classworlds.realm.ClassRealm.loadClass(ClassRealm.java:230)
> at org.sonatype.guice.bean.reflect.URLClassSpace.loadClass(URLClassSpace.java:101)
> ... 41 more
> It looks like it is using Apache Karaf 4.1.1, which looking at https://svn.apache.org/repos/asf/karaf/site/production/download.html requires Java 8+.  Presently, Jenkins builds for Trunk are Java 7.  Apache Karaf 4.0.x supports Java 7/8, so Trunk should probably be using that level, since the EE7 spec that JPA 2.1 is part of is at the JDK 7 level.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)
Loading...